" utf-8 with LF-only line terminators is the proper way to write text files
setlocal encoding=utf-8
setlocal fileencodings=utf-8
setlocal fileformat=unix

" style stuff
setlocal tabstop=4
setlocal softtabstop=4
setlocal shiftwidth=4

" important! cnm requires the tab character to indent
setlocal noexpandtab
" match indents of the current line
setlocal autoindent

" break lines at whitespace or symbol
setlocal linebreak
" match the indent of the current line when breaking lines
setlocal breakindent
" make line breaks obvious
setlocal showbreak=…

" show tab indents and trailing spaces
setlocal list
setlocal list listchars=tab:\|\ ,trail:·
" in gray
"highlight SpecialKey ctermfg=8
" for neovim
"highlight Whitespace ctermfg=8
